# Generated by Django 4.2.14 on 2024-07-12 09:24

import django.db.models.deletion
from django.db import migrations, models

import privates.fields
import privates.storages

import simple_certmanager.validators


class Migration(migrations.Migration):

    dependencies = [
        ("simple_certmanager", "0003_certificateinfo_certificate_info"),
    ]

    operations = [
        migrations.AddField(
            model_name="certificate",
            name="csr",
            field=privates.fields.PrivateMediaFileField(
                blank=True,
                help_text="The content of the certificate signing request",
                storage=privates.storages.PrivateMediaFileSystemStorage(),
                upload_to="ssl_certs_keys/%Y/%m/%d",
                validators=[
                    simple_certmanager.validators.CertificateSigningRequestValidator()
                ],
                verbose_name="certificate signing request",
            ),
        ),
        migrations.AlterField(
            model_name="certificate",
            name="info",
            field=models.OneToOneField(
                help_text="Information about the certificate",
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="simple_certmanager.certificateinfo",
                verbose_name="certificate information",
            ),
        ),
    ]
